<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.watermeter.mapper.QfmidysxzbmEMapper">

    <resultMap id="qfmidysxzbmEMap" type="com.tofly.watermeter.entity.QfmidysxzbmE">
        <id property="ysxzBm" column="YSXZ_BM"/>
        <result property="ysxzMc" column="YSXZ_MC"/>
        <result property="yxbz" column="YXBZ"/>
    </resultMap>

    <insert id="insertNatureOfWaterUse">
        insert into TF_YWPN_QFMIDYSXZBM_E (YSXZ_BM, YSXZ_MC, YXBZ)
        <foreach collection="dto" item="a" separator="union all">
            select
            #{a.YSXZ_BM},
            #{a.YSXZ_MC},
            #{a.YXBZ}
            from DUAL
        </foreach>
    </insert>

</mapper>
